Bug 1145660 - [PATCH] Support /etc/sysconfig/docker-storage
Summary: [PATCH] Support /etc/sysconfig/docker-storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-23 12:58 UTC by Colin Walters
Modified: 2014-11-01 16:55 UTC (History)
10 users (show)

Fixed In Version: docker-io-1.2.0-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-27 03:27:58 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] Support /etc/sysconfig/docker-storage (3.07 KB, patch)
2014-09-23 12:58 UTC, Colin Walters
no flags Details | Diff

Description Colin Walters 2014-09-23 12:58:52 UTC
Created attachment 940423 [details]
[PATCH] Support /etc/sysconfig/docker-storage

This will allow installation programs to pre-configure storage easily.
It will be used by Atomic to set up Docker for direct LVM.
---
 docker-storage.sysconfig | 14 ++++++++++++++
 docker.service           |  3 ++-
 docker.spec              |  5 ++++-
 3 files changed, 20 insertions(+), 2 deletions(-)
 create mode 100644 docker-storage.sysconfig

Comment 1 Lokesh Mandvekar 2014-09-23 17:36:48 UTC
Colin, just checking, this is for fedora and not the RHEL7 rpm, correct? The patch seems to be against the RHEL7 package.

Also, is this upstreamable as well, or too distro-specific?

Comment 2 Colin Walters 2014-09-23 17:42:54 UTC
(In reply to Lokesh Mandvekar from comment #1)
> Colin, just checking, this is for fedora and not the RHEL7 rpm, correct? The
> patch seems to be against the RHEL7 package.

Yes, but I'd like to propose it for Fedora.

> Also, is this upstreamable as well, or too distro-specific?

The patch only applies to the RPM, so it's not upstream.

Though the right solution may be a fix for Docker upstream to auto-detect; I thought about it but couldn't think of how to do it cleanly.

Comment 3 Lokesh Mandvekar 2014-09-23 17:56:23 UTC
(In reply to Colin Walters from comment #2)
> 
> Yes, but I'd like to propose it for Fedora.

Cool, I'll add it.

Comment 4 Fedora Update System 2014-09-26 22:58:33 UTC
docker-io-1.2.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-3.fc21

Comment 5 Fedora Update System 2014-09-26 23:04:43 UTC
docker-io-1.2.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-3.fc20

Comment 6 Fedora Update System 2014-09-28 04:25:39 UTC
Package docker-io-1.2.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-1.2.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11750/docker-io-1.2.0-3.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-30 18:27:13 UTC
docker-io-1.2.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-4.fc21

Comment 8 Fedora Update System 2014-09-30 18:46:32 UTC
docker-io-1.2.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-4.fc20

Comment 9 Fedora Update System 2014-10-09 18:16:50 UTC
docker-io-1.2.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-5.fc21

Comment 10 Fedora Update System 2014-10-09 18:34:13 UTC
docker-io-1.2.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.2.0-5.fc20

Comment 11 Fedora Update System 2014-10-23 01:13:34 UTC
docker-io-1.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.3.0-1.fc20

Comment 12 Fedora Update System 2014-10-27 03:27:58 UTC
docker-io-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-11-01 16:55:44 UTC
docker-io-1.2.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.